Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Snapshot

    java.lang.Object
      com.amazonaws.services.ec2.model.Snapshot

    public class Snapshot

extends Object

Represents a snapshot of an Amazon EC2 EBS volume.

Constructor Summary
`Snapshot()`

Method Summary
`String` | `getDescription()` Description of the snapshot.
`String` | `getOwnerAlias()` The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.
`String` | `getOwnerId()` AWS Access Key ID of the user who owns the snapshot.
`String` | `getProgress()` The progress of the snapshot, in percentage.
`String` | `getSnapshotId()` The unique ID of this snapshot.
`Date` | `getStartTime()` Time stamp when the snapshot was initiated.
`String` | `getState()` Snapshot state (e.g., pending, completed, or error).
`String` | `getVolumeId()` The ID of the volume from which this snapshot was created.
`Integer` | `getVolumeSize()` The size of the volume, in gigabytes.
`void` | `setDescription(String description)` Description of the snapshot.
`void` | `setOwnerAlias(String ownerAlias)` The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.
`void` | `setOwnerId(String ownerId)` AWS Access Key ID of the user who owns the snapshot.
`void` | `setProgress(String progress)` The progress of the snapshot, in percentage.
`void` | `setSnapshotId(String snapshotId)` The unique ID of this snapshot.
`void` | `setStartTime(Date startTime)` Time stamp when the snapshot was initiated.
`void` | `setState(String state)` Snapshot state (e.g., pending, completed, or error).
`void` | `setVolumeId(String volumeId)` The ID of the volume from which this snapshot was created.
`void` | `setVolumeSize(Integer volumeSize)` The size of the volume, in gigabytes.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Snapshot` | `withDescription(String description)` Description of the snapshot.
`Snapshot` | `withOwnerAlias(String ownerAlias)` The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.
`Snapshot` | `withOwnerId(String ownerId)` AWS Access Key ID of the user who owns the snapshot.
`Snapshot` | `withProgress(String progress)` The progress of the snapshot, in percentage.
`Snapshot` | `withSnapshotId(String snapshotId)` The unique ID of this snapshot.
`Snapshot` | `withStartTime(Date startTime)` Time stamp when the snapshot was initiated.
`Snapshot` | `withState(String state)` Snapshot state (e.g., pending, completed, or error).
`Snapshot` | `withVolumeId(String volumeId)` The ID of the volume from which this snapshot was created.
`Snapshot` | `withVolumeSize(Integer volumeSize)` The size of the volume, in gigabytes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Snapshot

    public Snapshot()

Method Detail

### getSnapshotId

    public String getSnapshotId()

  The unique ID of this snapshot.

  Returns:
    The unique ID of this snapshot.

### setSnapshotId

    public void setSnapshotId(String snapshotId)

  The unique ID of this snapshot.

  Parameters:
    `snapshotId` - The unique ID of this snapshot.

### withSnapshotId

    public Snapshot withSnapshotId(String snapshotId)

  The unique ID of this snapshot.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `snapshotId` - The unique ID of this snapshot.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVolumeId

    public String getVolumeId()

  The ID of the volume from which this snapshot was created.

  Returns:
    The ID of the volume from which this snapshot was created.

### setVolumeId

    public void setVolumeId(String volumeId)

  The ID of the volume from which this snapshot was created.

  Parameters:
    `volumeId` - The ID of the volume from which this snapshot was created.

### withVolumeId

    public Snapshot withVolumeId(String volumeId)

  The ID of the volume from which this snapshot was created.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `volumeId` - The ID of the volume from which this snapshot was created.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  Snapshot state (e.g., pending, completed, or error).

  Constraints:
  Allowed Values: pending, completed, error

  Returns:
    Snapshot state (e.g., pending, completed, or error).
  See Also:
    `SnapshotState`

### setState

    public void setState(String state)

  Snapshot state (e.g., pending, completed, or error).

  Constraints:
  Allowed Values: pending, completed, error

  Parameters:
    `state` - Snapshot state (e.g., pending, completed, or error).
  See Also:
    `SnapshotState`

### withState

    public Snapshot withState(String state)

  Snapshot state (e.g., pending, completed, or error).

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: pending, completed, error

  Parameters:
    `state` - Snapshot state (e.g., pending, completed, or error).
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `SnapshotState`

### getStartTime

    public Date getStartTime()

  Time stamp when the snapshot was initiated.

  Returns:
    Time stamp when the snapshot was initiated.

### setStartTime

    public void setStartTime(Date startTime)

  Time stamp when the snapshot was initiated.

  Parameters:
    `startTime` - Time stamp when the snapshot was initiated.

### withStartTime

    public Snapshot withStartTime(Date startTime)

  Time stamp when the snapshot was initiated.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `startTime` - Time stamp when the snapshot was initiated.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getProgress

    public String getProgress()

  The progress of the snapshot, in percentage.

  Returns:
    The progress of the snapshot, in percentage.

### setProgress

    public void setProgress(String progress)

  The progress of the snapshot, in percentage.

  Parameters:
    `progress` - The progress of the snapshot, in percentage.

### withProgress

    public Snapshot withProgress(String progress)

  The progress of the snapshot, in percentage.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `progress` - The progress of the snapshot, in percentage.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getOwnerId

    public String getOwnerId()

  AWS Access Key ID of the user who owns the snapshot.

  Returns:
    AWS Access Key ID of the user who owns the snapshot.

### setOwnerId

    public void setOwnerId(String ownerId)

  AWS Access Key ID of the user who owns the snapshot.

  Parameters:
    `ownerId` - AWS Access Key ID of the user who owns the snapshot.

### withOwnerId

    public Snapshot withOwnerId(String ownerId)

  AWS Access Key ID of the user who owns the snapshot.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ownerId` - AWS Access Key ID of the user who owns the snapshot.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDescription

    public String getDescription()

  Description of the snapshot.

  Returns:
    Description of the snapshot.

### setDescription

    public void setDescription(String description)

  Description of the snapshot.

  Parameters:
    `description` - Description of the snapshot.

### withDescription

    public Snapshot withDescription(String description)

  Description of the snapshot.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `description` - Description of the snapshot.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVolumeSize

    public Integer getVolumeSize()

  The size of the volume, in gigabytes.

  Returns:
    The size of the volume, in gigabytes.

### setVolumeSize

    public void setVolumeSize(Integer volumeSize)

  The size of the volume, in gigabytes.

  Parameters:
    `volumeSize` - The size of the volume, in gigabytes.

### withVolumeSize

    public Snapshot withVolumeSize(Integer volumeSize)

  The size of the volume, in gigabytes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `volumeSize` - The size of the volume, in gigabytes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getOwnerAlias

    public String getOwnerAlias()

  The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.

  Returns:
    The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.

### setOwnerAlias

    public void setOwnerAlias(String ownerAlias)

  The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.

  Parameters:
    `ownerAlias` - The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.

### withOwnerAlias

    public Snapshot withOwnerAlias(String ownerAlias)

  The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ownerAlias` - The AWS account alias (e.g., "amazon", "redhat", "self", etc.) or AWS account ID that owns the AMI.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.